hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stack <st...@duboce.net>
Subject Re: thinking about supporting upgrades to HBase 1.x and 2.x
Date Tue, 02 Dec 2014 23:07:52 GMT
On Tue, Dec 2, 2014 at 2:52 PM, Sean Busbey <busbey@cloudera.com> wrote:

> Resurrecting this thread to confirm our plans around upgrades to 2.0.
> Early on there was mention of requiring an upgrade to 1.x (from prior to
> 1.0 release) before users can upgrade to 2.0.
> At the moment I'm looking at fixing a problem in the NamespaceUpgrade code
> that is only in 2.0. Since the code isn't actually needed for 1.0+
> upgrades, I'd prefer to just rip it out.
> I didn't see any opposition to this idea, but I just want to confirm. To be
> clear, the actual tooling to use this upgrade code has already been
> removed, so it would take work to get the upgrade path going again.

Just to say that the first sentence in our upgrading chapter is: "You
cannot skip major versions upgrading." [1]

1. http://hbase.apache.org/book.html#upgrading

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message